// cabecera para la funcion g2f.cpp : g2f.h
// funcines auxiliares de g2f()
#ifndef G2F_H
#define G2F_H
#include <fstream>

using std::ofstream;
using std::ifstream;

class G2f { // gmsh to fem

public:
	G2f( const char*, const char* );		// default constructor
	void getOrder(short unsigned = 16); // default float precision 16
private:
	ifstream fileIn;
	ofstream fileNode,fileEdge,fileEle,fileNodef,fileData;
	unsigned *ptrNode, N_N, N_E;
	// N_E: number of elements; N_N: number of nodes;
	//prtNode: storage a relation of old and new index
};	// fin de la clase G2f

#endif
